[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Bug-glpk] GLPK (4.47) fails to build with LTO (GCC 4.6.3, '-flto')

From: glpk xypron
Subject: Re: [Bug-glpk] GLPK (4.47) fails to build with LTO (GCC 4.6.3, '-flto')
Date: Sun, 18 Mar 2012 07:52:10 +0100

Hello Andrew,

many users may not be aware of the correct usage of autotools. Hence I suggest 
you add a file bootstrap.sh to the distribution with content

libtoolize --copy --force
aclocal -I m4
automake --add-missing --copy

and add a note in the INSTALL file how to use it. 

The problem with flto was reproducable on my machine and was corrected by 
running bootstrap.sh

I am not sure if copying .m4 files isn't part of the problem observed and
should be avoided:

libtoolize --force
aclocal -I m4
automake --add-missing --copy

Best regards


-------- Original-Nachricht --------
> Datum: Sat, 17 Mar 2012 15:05:30 +0300
> Betreff: Re: [Bug-glpk] GLPK (4.47) fails to build with LTO (GCC 4.6.3,       
> \'-flto\')

> > Most likely the error is caused by autotools, so regenerating configure
> > and makefiles with a newer version of autotools may resolve the problem
> > (I used autoconf-2.65 and automake-1.11.1 released about 3 years ago).
> > 
> I used the following commands to generate the configure script and
> Makefiles from comfigure.ac and Makefile.am (if this may help):
> echo "Executing libtoolize..."
> libtoolize -c -f
> echo "Executing aclocal..."
> aclocal-1.11 -I m4
> echo "Executing autoconf..."
> autoconf
> ### echo "Executing autoheader..."
> ### autoheader
> echo "Executing automake..."
> automake-1.11 -c -a
> cd ..

Follow me at http://twitter.com/#!/xypron

Empfehlen Sie GMX DSL Ihren Freunden und Bekannten und wir
belohnen Sie mit bis zu 50,- Euro! https://freundschaftswerbung.gmx.de

reply via email to

[Prev in Thread] Current Thread [Next in Thread]